{literal}
<script language="javascript" src="js/jupload.js" type="text/javascript"></script>
<script type="text/javascript"> 
<!-- //
$().ajaxStop($.unblockUI); 

function test() { 
} 

$(document).ready(function() { 
	$('#s').click(function() { 
		$.blockUI(); 
		//test(); 
	}); 
	
	$.blockUI.defaults.pageMessage = "<h3>{/literal}{#Global_savemsg#}{literal}</h3>";
	var messageElement = $('#domMessage');  
}); 

function ajaxFileUpload(updir,divid,resize)
{
	$("#loading_" + divid)
	.ajaxStart(function(){
		$(this).show();
		document.getElementById('buttonUpload_' + divid).value = '{/literal}{#Global_Wait#}{literal}';
		document.getElementById('buttonUpload_' + divid).disabled = true;
		//document.getElementById('ajax_form').style.display = 'none';
		
	})
	.ajaxComplete(function(){
		$(this).hide();
		document.getElementById('buttonUpload_' + divid).value = '{/literal}{#Global_Upload#}{literal}';
		document.getElementById('buttonUpload_' + divid).disabled = false;
		//document.getElementById('ajax_form').style.display = '';
	});

	$.ajaxFileUpload
	(
		
		{
			
			url:'index.php?do=shop&sub=categ_icon&updir=' + updir + '&divid=' + divid + '&resize=' + resize,
			secureuri:false,
			fileElementId:'fileToUpload_' + divid,
			dataType: 'json',
			success: function (data, status)
			{
				if(typeof(data.error) != 'undefined')
				{
					if(data.error != '')
					{
						document.getElementById('UpInf_' + divid).innerHTML  = data.error;
					}else
					{
						document.getElementById('UpInf_' + divid).innerHTML = data.msg;
						document.getElementById('newFile_' + divid).value =  data.html;
						
					}
				}
			},
			error: function (data, status, e)
			{
				document.getElementById('UpInf_' + divid).innerHTML = e;
			}
		}
	)
	
	return false;

}
// -->
</script>
{/literal}

<div class="header">{#Shop_shipper_title#}</div>

<form method="post" action="">


  <table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
  <td width="200" class="headers">{#Global_Name#}</td>
  <td width="140" align="center" class="headers">{#Global_Active#}</td>
  <td width="100" align="center" class="headers">{#Global_Position#}</td>
  <td class="headers">{#Global_Actions#}</td>
  </tr>
  {foreach from=$methods item=m}
    <tr class="{cycle name=pm values='first,second'}">
      <td>{$m->Name_1|koobispecialchars}</td>
      <td align="center">
      <label><input type="radio" name="Aktiv[{$m->Id}]" value="1" {if $m->Aktiv==1}checked{/if}> {#Yes#}</label>        
      <label><input type="radio" name="Aktiv[{$m->Id}]" value="0" {if $m->Aktiv==0}checked{/if}> {#No#}</label>      
      </td>
      <td align="center"><input name="Position[{$m->Id}]" type="text" class="input" value="{$m->Position}" size="4" maxlength="3" /></td>
      <td>
      <a {popup sticky=$config_vars.POPSTICKY  text=$config_vars.Shop_shipper_edit width=200}  href="javascript:void(0);" onclick="popup('index.php?do=shop&amp;sub=editshipper&amp;Id={$m->Id}&amp;lc=1&amp;noframes=1', 'edit','850','650','yes')"><img class="absmiddle" src="{$imgpath}/edit.png" alt="" border="" /></a>      
      {*
      <a {popup sticky=$config_vars.POPSTICKY  text=$config_vars.Shop_shipper_editlang|replace:"__LANG__":$language_long_2 width=200}  href="javascript:void(0);" onclick="popup('index.php?do=shop&amp;sub=editshipper&amp;Id={$m->Id}&amp;lc=2&amp;noframes=1', 'edit','850','650','yes');">{$language_2|upper}</a>
	  <a {popup sticky=$config_vars.POPSTICKY  text=$config_vars.Shop_shipper_editlang|replace:"__LANG__":$language_long_3 width=200}  href="javascript:void(0);" onclick="popup('index.php?do=shop&amp;sub=editshipper&amp;Id={$m->Id}&amp;lc=3&amp;noframes=1', 'edit','850','650','yes');">{$language_3|upper}</a>
      *}
      <a {popup sticky=$config_vars.POPSTICKY  text=$config_vars.Shop_shipper_w_edit width=200}  href="javascript:void(0);" onclick="popup('index.php?do=shop&amp;sub=editshippingvolumes&amp;Id={$m->Id}&amp;noframes=1', 'edit','850','650','yes')"><img class="absmiddle" src="{$imgpath}/package.png" alt="" border="" /></a>  
      </td>
    </tr>
    {/foreach}
  </table>

  <input type="submit" class="button big" value="{#Save#}" />
  <input name="save" type="hidden" id="save" value="1" />
</form>